Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xsl.result
Class SerializerOptions

    java.lang.Object
      com.novell.xsl.result.SerializerOptions

    public class SerializerOptions

extends Object

A class to hold XSLT serializer options that correspond to the xsl:output element attributes

Constructor Summary
`SerializerOptions()`

Method Summary
`Collection` | `getCdataSectionElements()` Get the list of element tag names whose text content should be output as CDATA sections.
`boolean` | `getDeclaration()` Get whether an xml-declaration should be output or not
`String` | `getDoctypePublic()` Get the DOCTYPE PUBLIC string
`String` | `getDoctypeSystem()` Get the DOCTYPE SYSTEM string
`String` | `getEncoding()` Get the character encoding string
`boolean` | `getIndent()` Get the indent=yes|no value
`String` | `getMediaType()` Get the media type string
`ExpandedQName` | `getMethod()` Get the method string
`boolean` | `getStandalone()` Get whether an xml standalone=yes declaration should be output or not
`String` | `getVersion()` Get the version string
`void` | `merge(SerializerOptions rhs)` Merge the options in this object with options in another SerializerOptions object.
`void` | `setCdataSectionElements(Collection cdataSectionElements)` Set the list of element tag names whose text content should be output as CDATA sections.
`void` | `setDeclaration(boolean declaration)` Set whether an xml-declaration should be output or not
`void` | `setDoctypePublic(String doctypePublic)` Set the DOCTYPE PUBLIC string
`void` | `setDoctypeSystem(String doctypeSystem)` Set the DOCTYPE SYSTEM string
`void` | `setEncoding(String encoding)` Set the character encoding string
`void` | `setIndent(boolean indent)` Set whether output indenting is allowed or not
`void` | `setMediaType(String mediaType)` Set the media type string
`void` | `setMethod(ExpandedQName method)` Set the method string
`void` | `setStandalone(boolean standalone)` Set whether an xml standalone=yes declaration should be output or not
`void` | `setVersion(String version)` Set the version string.
`boolean` | `wasDeclarationSet()` Return if declaration value was explicitly set
`boolean` | `wasIndentSet()` Return if indent value was explicitly set
`boolean` | `wasStandaloneSet()` Return if standalone value was explicitly set

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializerOptions

    public SerializerOptions()

Method Detail

### getMethod

    public ExpandedQName getMethod()

  Get the method string

  Returns:
    The method string

### setMethod

    public void setMethod(ExpandedQName method)

  Set the method string

  Parameters:
    `method` - The method string

### getVersion

    public String getVersion()

  Get the version string

  Returns:
    The version string

### setVersion

    public void setVersion(String version)

  Set the version string.

  Parameters:
    `version` - The version string.

### getIndent

    public boolean getIndent()

  Get the indent=yes|no value

  Returns:
    True if output indenting is allowed

### setIndent

    public void setIndent(boolean indent)

  Set whether output indenting is allowed or not

  Parameters:
    `indent` - True if indenting is allowed.

### wasIndentSet

    public boolean wasIndentSet()

  Return if indent value was explicitly set

  Returns:
    True if indent was explicitly set, false otherwise

### getEncoding

    public String getEncoding()

  Get the character encoding string

  Returns:
    The character encoding string

### setEncoding

    public void setEncoding(String encoding)

  Set the character encoding string

  Parameters:
    `encoding` - The character encoding string

### getMediaType

    public String getMediaType()

  Get the media type string

  Returns:
    The media type string

### setMediaType

    public void setMediaType(String mediaType)

  Set the media type string

  Parameters:
    `mediaType` - The media type string

### getDoctypeSystem

    public String getDoctypeSystem()

  Get the DOCTYPE SYSTEM string

  Returns:
    The DOCTYPE SYSTEM string

### setDoctypeSystem

    public void setDoctypeSystem(String doctypeSystem)

  Set the DOCTYPE SYSTEM string

  Parameters:
    `doctypeSystem` - The DOCTYPE SYSTEM string

### getDoctypePublic

    public String getDoctypePublic()

  Get the DOCTYPE PUBLIC string

  Returns:
    The DOCTYPE PUBLIC string

### setDoctypePublic

    public void setDoctypePublic(String doctypePublic)

  Set the DOCTYPE PUBLIC string

  Parameters:
    `doctypePublic` - The DOCTYPE PUBLIC string

### getDeclaration

    public boolean getDeclaration()

  Get whether an xml-declaration should be output or not

  Returns:
    True if an xml-declaration should be output

### setDeclaration

    public void setDeclaration(boolean declaration)

  Set whether an xml-declaration should be output or not

  Parameters:
    `declaration` - True if an xml-declaration should be output

### wasDeclarationSet

    public boolean wasDeclarationSet()

  Return if declaration value was explicitly set

  Returns:
    True if declaration was explicitly set, false otherwise

### getStandalone

    public boolean getStandalone()

  Get whether an xml standalone=yes declaration should be output or not

  Returns:
    True if an xml standalone=yes should be output

### setStandalone

    public void setStandalone(boolean standalone)

  Set whether an xml standalone=yes declaration should be output or not

  Parameters:
    `standalone` - `true` if an xml standalone=yes declaration should be output

### wasStandaloneSet

    public boolean wasStandaloneSet()

  Return if standalone value was explicitly set

  Returns:
    True if standalone was explicitly set, false otherwise

### getCdataSectionElements

    public Collection getCdataSectionElements()

  Get the list of element tag names whose text content should be output as CDATA sections.

  Returns:
    A Collection of element tag names, each represented by an ExpandedQName object.

### setCdataSectionElements

    public void setCdataSectionElements(Collection cdataSectionElements)

  Set the list of element tag names whose text content should be output as CDATA sections.

  Parameters:
    `cdataSectionElements` - A Collection of ExpandedQName objects, each of which represents an element tag name.

### merge

    public void merge(SerializerOptions rhs)

  Merge the options in this object with options in another SerializerOptions object. When there is a conflict in values, the options in this object take precendence.

  Parameters:
    `rhs` - The other object with which to merge

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD